Bug 866471 - wireshark segfaults on start
Summary: wireshark segfaults on start
Keywords:
Status: CLOSED DUPLICATE of bug 864324
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Peter Hatina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-15 12:58 UTC by J. Bruce Fields
Modified: 2016-06-01 01:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-16 12:22:01 UTC
Type: Bug


Attachments (Terms of Use)

Description J. Bruce Fields 2012-10-15 12:58:21 UTC
$ wireshark
OOPS: dissector table "sctp.ppi" doesn't exist
Protocol being registered is "Datagram Transport Layer Security"
Segmentation fault (core dumped)

$ rpm -qa|grep wireshark
wireshark-gnome-1.8.3-1.fc18.86_64
wireshark-1.8.3-1.fc18.x86_64

This is 100% reproduceable for me.

Comment 1 Peter Hatina 2012-10-16 07:05:16 UTC
Try removing abrt-addon-python. Abrt supplies a dissector, that imports a library with the same symbol defined as libsmi has.

There is a report filed https://bugzilla.redhat.com/show_bug.cgi?id=864324

Comment 2 J. Bruce Fields 2012-10-16 12:22:01 UTC
Oops, apologies for overlooking the previous bug.  Confirmed, that fixes the crash--thanks!

*** This bug has been marked as a duplicate of bug 864324 ***


Note You need to log in before you can comment on or make changes to this bug.